Subject: Re: [patch v2] net/usb: remove err() messages in few drivers

From: David Brownell <david-b-yBeKhBN/[email-masked]>
Date: Tue, 13 Jan 2009 01:44:25 -0800

On Tuesday 13 January 2009, Oliver Neukum wrote:
> > Ok, i'll reformat patch. Is it okay if i use kaweth->dev->dev,
> > kaweth->net->dev and intf->dev ? Or switch to kaweth->net->dev
> > (instead of dev->dev)?
> 
> kaweth in kaweth_disconnect() frees the network device. Therefore
> you cannot use it. You'd access freed memory. Pick one of the others
> and stay with it.

intf->dev is going to be "obviously correct", the others aren't.
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html